replicaCount: 1


nameOverride: ""
fullnameOverride: ""

image:
  repository: registry.gitlab.com/mt-ag-k8s-training-course/kubernetesexercises/spring-boot-demo
  pullPolicy: Always
  # Overrides the image tag whose default is the chart appVersion.
  tag: "2.0"


# Container port inside deployment
container:
  port: 8080

# Service port (can be different to .container.port)
service:
  type: ClusterIP
  port: 8080

ingress:
  enabled: false
  className: "nginx"
  annotations:
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    cert-manager.io/cluster-issuer: letsencrypt
  hosts:
    - host: #!changeme!.mtag-k8s-schulung.site
      paths:
        - path: /
          pathType: Prefix
  tls:
    - secretName: mtag-k8s-metrics-tls
      hosts:
        - #!changeme!.mtag-k8s-schulung.site

probes:
  startupProbe:
    httpGet:
      path: actuator/health
      port: http
  livenessProbe:
    httpGet:
      path: actuator/health/liveness
      port: http
  readinessProbe:
    httpGet:
      path: actuator/health
      port: http

resources:
  limits:
    cpu: 1000m
    memory: 2048Mi
  requests:
    cpu: 5m
    memory: 256Mi

podAnnotations: {}

# Try to schedule the pods to different nodes
podAntiAffinity:
  enabled: true

# This strategy will make sure that only one pod will be unavailable but no extra pod is created, saving
# required resources
strategy:
  type: RollingUpdate
  rollingUpdate:
    maxSurge: 0
    maxUnavailable: 1

podSecurityContext: {}
# fsGroup: 2000

securityContext:
   capabilities:
     drop:
     - ALL
   readOnlyRootFilesystem: false
   runAsNonRoot: true
   runAsUser: 32100

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

